// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use crate::ffi;
use glib::translate::*;

#[doc(alias = "tracker_check_version")]
pub fn check_version(
    required_major: u32,
    required_minor: u32,
    required_micro: u32,
) -> Option<glib::GString> {
    assert_initialized_main_thread!();
    unsafe {
        from_glib_none(ffi::tracker_check_version(
            required_major,
            required_minor,
            required_micro,
        ))
    }
}

#[doc(alias = "tracker_sparql_escape_string")]
pub fn sparql_escape_string(literal: &str) -> Option<glib::GString> {
    assert_initialized_main_thread!();
    unsafe { from_glib_full(ffi::tracker_sparql_escape_string(literal.to_glib_none().0)) }
}

#[doc(alias = "tracker_sparql_escape_uri")]
pub fn sparql_escape_uri(uri: &str) -> Option<glib::GString> {
    assert_initialized_main_thread!();
    unsafe { from_glib_full(ffi::tracker_sparql_escape_uri(uri.to_glib_none().0)) }
}

//#[doc(alias = "tracker_sparql_escape_uri_printf")]
//pub fn sparql_escape_uri_printf(format: &str, : /*Unknown conversion*//*Unimplemented*/Basic: VarArgs) -> Option<glib::GString> {
//    unsafe { TODO: call ffi:tracker_sparql_escape_uri_printf() }
//}

//#[doc(alias = "tracker_sparql_escape_uri_vprintf")]
//pub fn sparql_escape_uri_vprintf(format: &str, args: /*Unknown conversion*//*Unimplemented*/Unsupported) -> Option<glib::GString> {
//    unsafe { TODO: call ffi:tracker_sparql_escape_uri_vprintf() }
//}

#[doc(alias = "tracker_sparql_get_ontology_nepomuk")]
pub fn sparql_get_ontology_nepomuk() -> Option<gio::File> {
    assert_initialized_main_thread!();
    unsafe { from_glib_full(ffi::tracker_sparql_get_ontology_nepomuk()) }
}

#[doc(alias = "tracker_sparql_get_uuid_urn")]
pub fn sparql_get_uuid_urn() -> Option<glib::GString> {
    assert_initialized_main_thread!();
    unsafe { from_glib_full(ffi::tracker_sparql_get_uuid_urn()) }
}
